X2Go Bug report logs - #211
RPM packaging of X2Go Session Broker

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 15 May 2013 20:28:18 UTC

Severity: important

Tags: pending

Found in version 0.0.2.1

Fixed in version 0.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#211; Package x2gobroker. (Wed, 15 May 2013 20:28:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 15 May 2013 20:28:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Engelhardt <jengelh@inai.de>
Cc: submit@bugs.x2go.org
Subject: RPM packaging of X2Go Session Broker
Date: Wed, 15 May 2013 22:21:54 +0200
[Message part 1 (text/plain, inline)]
Package: x2gobroker
Version: 0.0.2.1
Severity: important

Hi Jan,

I open up a new bug for this. Please post updates to the new bug  
number, if any.

@all: this is a follow up of issue #201.

On Mi 15 Mai 2013 16:37:06 CEST Jan Engelhardt wrote:

>
> On Tuesday 2013-05-14 12:48, Mike Gabriel wrote:
>> python-x2gobroker (mostly covered by setup.py):
>>
>> /.
>> /etc
>> /etc/default
>> /etc/default/python-x2gobroker
> [...]

I comment in the lines below where to find that file in the source  
project x2gobroker.git (or in the installed package fileset)...

Absolute paths mean: this is the path when installed.
Relative paths mean: this is the path in x2gobroker.git

> --- yourlist	2013-05-15 16:34:44.890113044 +0200
> +++ susepkg	2013-05-15 16:31:32.657658085 +0200
> @@ -1,22 +1,11 @@
> -/etc
> -/etc/apache2
> -/etc/apache2/conf.d
> -/etc/apache2/conf.d/x2gobroker-wsgi

Symlink -> /etc/x2go/x2gobroker-wsgi.apache.conf

> -/etc/apache2/sites-available
> -/etc/apache2/sites-available/x2gobroker

Symlink -> /etc/x2go/x2gobroker-wsgi.apache.vhost

> -/etc/default
> -/etc/default/python-x2gobroker

x2gobroker.git/debian/python-x2gobroker.default

> -/etc/default/x2gobroker-authservice

x2gobroker.git/debian/x2gobroker-authservice.default

> -/etc/default/x2gobroker-daemon

x2gobroker.git/debian/x2gobroker-daemon.default

The files from /etc/default/* get sourced by the init scripts (see below).

> -/etc/init.d
> -/etc/init.d/x2gobroker-authservice

x2gobroker.git/debian/x2gobroker-authservice.init

> -/etc/init.d/x2gobroker-daemon

x2gobroker.git/debian/x2gobroker-daemon.init

> -/etc/logrotate.d
>  /etc/logrotate.d/x2gobroker-authservice
>  /etc/logrotate.d/x2gobroker-daemon
>  /etc/logrotate.d/x2gobroker-wsgi
>  /etc/pam.d
>  /etc/pam.d/x2gobroker
> +/etc/permissions.d/x2gobroker.easy
> +/etc/permissions.d/x2gobroker.paranoid
> +/etc/permissions.d/x2gobroker.secure

What are these for? Anything we should adopt in the Debian package(s)?

>  /etc/x2go
>  /etc/x2go/broker
>  /etc/x2go/broker/x2gobroker-authservice-logger.conf
> @@ -25,178 +14,108 @@
>  /etc/x2go/x2gobroker-wsgi.apache.conf
>  /etc/x2go/x2gobroker-wsgi.apache.vhost
>  /etc/x2go/x2gobroker.conf
> -/usr
> -/usr/bin
>  /usr/bin/x2gobroker-testauth
> -/usr/lib
> -/usr/lib/python2.7
> -/usr/lib/python2.7/site-packages
>  /usr/lib/python2.7/site-packages/x2gobroker
> -/usr/lib/python2.7/site-packages/x2gobroker-0.0.2.1.egg-info

[... skipping the python egg related files... ]

>  /usr/lib/x2go
>  /usr/lib/x2go/x2gobroker-agent
>  /usr/lib/x2go/x2gobroker-agent.pl
> -/usr/sbin
>  /usr/sbin/x2gobroker
>  /usr/sbin/x2gobroker-authservice
>  /usr/sbin/x2gobroker-keygen
>  /usr/sbin/x2gobroker-pubkeyauthorizer
> -/usr/share
> -/usr/share/doc
> -/usr/share/doc/python-x2gobroker
> -/usr/share/doc/python-x2gobroker/NEWS.gz
> -/usr/share/doc/python-x2gobroker/README
> -/usr/share/doc/python-x2gobroker/TODO
> -/usr/share/doc/python-x2gobroker/buildinfo_all.gz
> -/usr/share/doc/python-x2gobroker/changelog.Debian.gz
> -/usr/share/doc/python-x2gobroker/copyright
> -/usr/share/doc/x2gobroker
> -/usr/share/doc/x2gobroker-agent
> -/usr/share/doc/x2gobroker-agent/NEWS.gz
> -/usr/share/doc/x2gobroker-agent/README
> -/usr/share/doc/x2gobroker-agent/TODO

NEWS.gz, README, TODO are rendered from  
x2gobroker.git/{MEWS,README,TODO} for each bin:package.

> -/usr/share/doc/x2gobroker-agent/buildinfo_amd64.gz

This file is auto-generated during build.

> -/usr/share/doc/x2gobroker-agent/changelog.Debian.gz

x2gobroker.git/debian/changelog (abused as upstream changelog by X2Go  
Dev Team)

> -/usr/share/doc/x2gobroker-agent/copyright

x2gobroker.git/debian/copyright

> -/usr/share/doc/x2gobroker-authservice
> -/usr/share/doc/x2gobroker-authservice/NEWS.gz
> -/usr/share/doc/x2gobroker-authservice/README
> -/usr/share/doc/x2gobroker-authservice/TODO
> -/usr/share/doc/x2gobroker-authservice/buildinfo_all.gz
> -/usr/share/doc/x2gobroker-authservice/changelog.Debian.gz
> -/usr/share/doc/x2gobroker-authservice/copyright
> -/usr/share/doc/x2gobroker-daemon
> -/usr/share/doc/x2gobroker-daemon/NEWS.gz
> -/usr/share/doc/x2gobroker-daemon/README
> -/usr/share/doc/x2gobroker-daemon/TODO
> -/usr/share/doc/x2gobroker-daemon/buildinfo_all.gz
> -/usr/share/doc/x2gobroker-daemon/changelog.Debian.gz
> -/usr/share/doc/x2gobroker-daemon/copyright
> -/usr/share/doc/x2gobroker-wsgi
> -/usr/share/doc/x2gobroker-wsgi/NEWS.gz
> -/usr/share/doc/x2gobroker-wsgi/README
> -/usr/share/doc/x2gobroker-wsgi/TODO
> -/usr/share/doc/x2gobroker-wsgi/buildinfo_all.gz
> -/usr/share/doc/x2gobroker-wsgi/changelog.Debian.gz
> -/usr/share/doc/x2gobroker-wsgi/copyright
> -/usr/share/doc/x2gobroker/NEWS.gz
> -/usr/share/doc/x2gobroker/README
> -/usr/share/doc/x2gobroker/TODO
> -/usr/share/doc/x2gobroker/buildinfo_all.gz
> -/usr/share/doc/x2gobroker/changelog.Debian.gz
> -/usr/share/doc/x2gobroker/copyright

Dito for the bin:package above.

> -/usr/share/man
> -/usr/share/man/man8
> -/usr/share/man/man8/x2gobroker-authservice.8.gz
> -/usr/share/man/man8/x2gobroker-keygen.8.gz
> -/usr/share/man/man8/x2gobroker-pubkeyauthorizer.8.gz
> -/usr/share/man/man8/x2gobroker-testauth.8.gz
> -/usr/share/man/man8/x2gobroker.8.gz

These should get installed into your package, I guess. You can find them in

x2gobroker.git/man/man8/*

> -/usr/share/pyshared
> -/usr/share/pyshared/x2gobroker
> -/usr/share/pyshared/x2gobroker-0.0.2.1.egg-info

[ ... skipping some more python files ... ]

> -/var
> -/var/log

>  /var/log/x2gobroker

make sure to install this directory

  2750 x2gobroker:x2gobroker

> +/var/lib/x2gobroker

This is the home directory of system user x2gobroker. Not that there  
is some postinst magic in x2gobroker.git/debian/*.postinst scripts.  
The magic does:

  * create system user x2gobroker (x2gobroker-daemon, x2gobroker-wsgi,
    x2gobroker-authservice, x2gobroker-agent requires that user)
  * set permissions on the log directory

Another thing that your package x2gobroker-agent should handle: the  
file /usr/lib/x2go/x2gobroker-agent (the setuid wrapper for  
x2gobroker-agent.pl) has to be installed setuid root.

  4750 root:x2gobroker /usr/lib/x2go/x2gobroker-agent

I hope this gets us a bit further.

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#211; Package x2gobroker. (Wed, 15 May 2013 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 15 May 2013 23:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 211@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: 211@bugs.x2go.org
Cc: mike.gabriel@das-netzwerkteam.de, jengelh@inai.de
Subject: [PATCH] build: also install defaults and manpages through `make install`
Date: Thu, 16 May 2013 00:57:29 +0200
---
 Makefile                              | 26 +++++++++++++++++++-----
 debian/python-x2gobroker.default      | 38 -----------------------------------
 debian/x2gobroker-authservice.default | 19 ------------------
 debian/x2gobroker-daemon.default      | 34 -------------------------------
 python-x2gobroker.default             | 38 +++++++++++++++++++++++++++++++++++
 x2gobroker-authservice.default        | 19 ++++++++++++++++++
 x2gobroker-daemon.default             | 34 +++++++++++++++++++++++++++++++
 7 files changed, 112 insertions(+), 96 deletions(-)
 delete mode 100644 debian/python-x2gobroker.default
 delete mode 100644 debian/x2gobroker-authservice.default
 delete mode 100644 debian/x2gobroker-daemon.default
 create mode 100644 python-x2gobroker.default
 create mode 100644 x2gobroker-authservice.default
 create mode 100644 x2gobroker-daemon.default

diff --git a/Makefile b/Makefile
index 02382e5..a30ea7b 100755
--- a/Makefile
+++ b/Makefile
@@ -78,7 +78,10 @@ install:
 
 	# python-x2gobroker
 	python setup.py install --prefix="${PREFIX}" $${DESTDIR+--root="${DESTDIR}"}
-	mkdir -p "${DESTDIR}${ETCDIR}/broker" "${DESTDIR}/etc/pam.d"
+	mkdir -p "${DESTDIR}${ETCDIR}/broker" "${DESTDIR}/etc/pam.d" \
+		"${DESTDIR}/etc/default"
+	${INSTALL_FILE} python-x2gobroker.default \
+		"${DESTDIR}/etc/default/python-x2gobroker"
 	${INSTALL_FILE} etc/x2gobroker.conf "${DESTDIR}${ETCDIR}/"
 	${INSTALL_FILE} etc/broker/x2gobroker-sessionprofiles.conf \
 		etc/broker/x2gobroker-loggers.conf \
@@ -87,13 +90,21 @@ install:
 	${INSTALL_FILE} pam/x2gobroker "${DESTDIR}/etc/pam.d/"
 	
 	# x2gobroker-agent
-	mkdir -p "${DESTDIR}${LIBDIR}" "${DESTDIR}${SBINDIR}"
+	mkdir -p "${DESTDIR}${LIBDIR}" "${DESTDIR}${SBINDIR}" \
+		"${DESTDIR}${MANDIR}/man8"
+	${INSTALL_FILE} man/man8/x2gobroker-pubkeyauthorizer.8* \
+		"${DESTDIR}${MANDIR}/man8"
 	${INSTALL_PROGRAM} lib/x2gobroker-agent* "${DESTDIR}${LIBDIR}/"
 	${INSTALL_PROGRAM} sbin/x2gobroker-pubkeyauthorizer "${DESTDIR}${SBINDIR}/"
 	
 	# x2gobroker-authservice
 	mkdir -p "${DESTDIR}${SBINDIR}" "${DESTDIR}/etc/logrotate.d" \
-		"${DESTDIR}${ETCDIR}/broker"
+		"${DESTDIR}${ETCDIR}/broker" "${DESTDIR}/etc/default" \
+		"${DESTDIR}${MANDIR}/man8"
+	${INSTALL_FILE} x2gobroker-authservice.default \
+		"${DESTDIR}/etc/default/x2gobroker-authservice"
+	${INSTALL_FILE} man/man8/x2gobroker-authservice.8* \
+		"${DESTDIR}${MANDIR}/man8"
 	${INSTALL_PROGRAM} sbin/x2gobroker-authservice "${DESTDIR}${SBINDIR}/"
 	${INSTALL_FILE} logrotate/x2gobroker-authservice \
 		"${DESTDIR}/etc/logrotate.d/"
@@ -101,7 +112,9 @@ install:
 		"${DESTDIR}${ETCDIR}/broker/"
 	
 	# x2gobroker-daemon
-	mkdir -p "${DESTDIR}/etc/logrotate.d/"
+	mkdir -p "${DESTDIR}/etc/logrotate.d/" "${DESTDIR}/etc/default"
+	${INSTALL_FILE} x2gobroker-daemon.default \
+		"${DESTDIR}/etc/default/x2gobroker-daemon"
 	${INSTALL_FILE} logrotate/x2gobroker-daemon \
 		"${DESTDIR}/etc/logrotate.d/"
 	
@@ -112,7 +125,10 @@ install:
 	${INSTALL_FILE} logrotate/x2gobroker-wsgi "${DESTDIR}/etc/logrotate.d/"
 	
 	# x2gobroker
-	mkdir -p "${DESTDIR}${BINDIR}" "${DESTDIR}${SBINDIR}"
+	mkdir -p "${DESTDIR}${BINDIR}" "${DESTDIR}${SBINDIR}" \
+		"${DESTDIR}${MANDIR}/man8"
+	${INSTALL_FILE} man/man8/x2gobroker{,-keygen,-testauth}.8* \
+		"${DESTDIR}${MANDIR}/man8"
 	${INSTALL_PROGRAM} bin/x2gobroker-testauth "${DESTDIR}${BINDIR}/"
 	${INSTALL_PROGRAM} sbin/x2gobroker sbin/x2gobroker-keygen \
 		"${DESTDIR}${SBINDIR}/"
diff --git a/debian/python-x2gobroker.default b/debian/python-x2gobroker.default
deleted file mode 100644
index 67b93cb..0000000
--- a/debian/python-x2gobroker.default
+++ /dev/null
@@ -1,38 +0,0 @@
-# X2Go Broker Session Broker (common) configuration for Debian
-
-# The posix user/group ID the broker runs under (do not change!)
-# if you change those nonetheless, make sure that the log file
-# directory (default: /var/log/x2gobroker) and files in there are
-# writable by that user
-#X2GOBROKER_DAEMON_USER=x2gobroker
-#X2GOBROKER_DAEMON_GROUP=x2gobroker
-
-# The posix user under which the x2gobroker-agent can be launched on
-# remote X2Go Servers.
-#X2GOBROKER_AGENT_USER=x2gobroker
-
-# Control debug mode (0=disable, 1=enable).
-#
-# Apart from verbose logging in /var/log/x2gobroker/*.log, this will
-# also make the broker available through http GET method requests
-# (otherwise: POST method requests only) and you will be able to test
-# the broker through your web browser
-#
-# This value has an effect on all (Python-based) X2Go Session Broker
-# services and can be overridden in /etc/default/x2gobroker-* files.
-#X2GOBROKER_DEBUG=0
-
-# Default X2Go Session Broker backend (available: zeroconf, inifile)
-#X2GOBROKER_DEFAULT_BACKEND=zeroconf
-
-# Path to the X2Go Session Broker's configuration file
-#X2GOBROKER_CONFIG=/etc/x2go/x2gobroker.conf
-
-# Path to the X2Go Session Broker's session profiles file (when using the inifile backend)
-#X2GOBROKER_SESSIONPROFILES=/etc/x2go/broker/x2gobroker-sessionprofiles.conf
-
-# Path to the X2Go Session Broker's agent command
-#X2GOBROKER_AGENT_CMD=/usr/lib/x2go/x2gobroker-agent
-
-# The unix socket file for communication between the broker and the authentication service.
-#X2GOBROKER_AUTHSERVICE_SOCKET=/run/x2gobroker/x2gobroker-authservice.socket
diff --git a/debian/x2gobroker-authservice.default b/debian/x2gobroker-authservice.default
deleted file mode 100644
index e8b5f7b..0000000
--- a/debian/x2gobroker-authservice.default
+++ /dev/null
@@ -1,19 +0,0 @@
-# X2Go Session Broker (PAM Authentication Service) configuration for Debian
-
-# For PAM authentication the X2Go Session Broker needs its authentication
-# service. The session broker itself runs as a non-privileged user (see below)
-# whereas the authentication service must run as super-user root.
-#
-# If you do not use PAM as authentication mechanism with the X2Go Session Broker,
-# you can disable the authentication service here.
-START_AUTHSERVICE=true
-
-# Control debug mode (0=disable, 1=enable) of the X2Go Broker Authentication
-# Service.
-#
-# Logging is (by default) written to /var/log/x2gobroker/*log.
-#
-# This option can also be configured in /etc/default/python-x2go.
-# The value configured here overrides the value from python-x2go
-# defaults and only sets the x2gobroker-authservice into debug mode.
-#X2GOBROKER_DEBUG=0
diff --git a/debian/x2gobroker-daemon.default b/debian/x2gobroker-daemon.default
deleted file mode 100644
index 0eb0a81..0000000
--- a/debian/x2gobroker-daemon.default
+++ /dev/null
@@ -1,34 +0,0 @@
-# X2Go Session Broker configuration for Debian
-
-# Uncomment to enable the X2Go Session Broker standalone daemon
-START_BROKER=true
-
-# Bind standalone daemon to this address:port
-#DAEMON_BIND_ADDRESS=127.0.0.1:8080
-
-# Control debug mode (0=disable, 1=enable).
-#
-# Apart from verbose logging in /var/log/x2gobroker/*.log, this will
-# also make the broker available through http GET method requests
-# (otherwise: POST method requests only) and you will be able to
-# test the broker through your web browser.
-#
-# This option can also be configured in /etc/default/python-x2go.
-# The value configured here overrides the value from python-x2go
-# defaults and only sets the x2gobroker-daemon into debug mode.
-#X2GOBROKER_DEBUG=0
-
-##########################################################
-###                                                    ###
-### Enable SSL Support                                 ###
-###   o You have to create your own SSL certificates   ###
-###   o You have to actively uncomment the below SSL   ###
-###     relevant line to enable https:// in x2gobroker ###
-###                                                    ###
-##########################################################
-
-# SSL certificate file
-#X2GOBROKER_SSL_CERTFILE=/etc/x2go/broker/ssl/broker.crt
-
-# SSL key file (ensure permissions are set to root:x2gobroker:0640)
-#X2GOBROKER_SSL_KEYFILE=/etc/x2go/broker/ssl/broker.key
diff --git a/python-x2gobroker.default b/python-x2gobroker.default
new file mode 100644
index 0000000..67b93cb
--- /dev/null
+++ b/python-x2gobroker.default
@@ -0,0 +1,38 @@
+# X2Go Broker Session Broker (common) configuration for Debian
+
+# The posix user/group ID the broker runs under (do not change!)
+# if you change those nonetheless, make sure that the log file
+# directory (default: /var/log/x2gobroker) and files in there are
+# writable by that user
+#X2GOBROKER_DAEMON_USER=x2gobroker
+#X2GOBROKER_DAEMON_GROUP=x2gobroker
+
+# The posix user under which the x2gobroker-agent can be launched on
+# remote X2Go Servers.
+#X2GOBROKER_AGENT_USER=x2gobroker
+
+# Control debug mode (0=disable, 1=enable).
+#
+# Apart from verbose logging in /var/log/x2gobroker/*.log, this will
+# also make the broker available through http GET method requests
+# (otherwise: POST method requests only) and you will be able to test
+# the broker through your web browser
+#
+# This value has an effect on all (Python-based) X2Go Session Broker
+# services and can be overridden in /etc/default/x2gobroker-* files.
+#X2GOBROKER_DEBUG=0
+
+# Default X2Go Session Broker backend (available: zeroconf, inifile)
+#X2GOBROKER_DEFAULT_BACKEND=zeroconf
+
+# Path to the X2Go Session Broker's configuration file
+#X2GOBROKER_CONFIG=/etc/x2go/x2gobroker.conf
+
+# Path to the X2Go Session Broker's session profiles file (when using the inifile backend)
+#X2GOBROKER_SESSIONPROFILES=/etc/x2go/broker/x2gobroker-sessionprofiles.conf
+
+# Path to the X2Go Session Broker's agent command
+#X2GOBROKER_AGENT_CMD=/usr/lib/x2go/x2gobroker-agent
+
+# The unix socket file for communication between the broker and the authentication service.
+#X2GOBROKER_AUTHSERVICE_SOCKET=/run/x2gobroker/x2gobroker-authservice.socket
diff --git a/x2gobroker-authservice.default b/x2gobroker-authservice.default
new file mode 100644
index 0000000..e8b5f7b
--- /dev/null
+++ b/x2gobroker-authservice.default
@@ -0,0 +1,19 @@
+# X2Go Session Broker (PAM Authentication Service) configuration for Debian
+
+# For PAM authentication the X2Go Session Broker needs its authentication
+# service. The session broker itself runs as a non-privileged user (see below)
+# whereas the authentication service must run as super-user root.
+#
+# If you do not use PAM as authentication mechanism with the X2Go Session Broker,
+# you can disable the authentication service here.
+START_AUTHSERVICE=true
+
+# Control debug mode (0=disable, 1=enable) of the X2Go Broker Authentication
+# Service.
+#
+# Logging is (by default) written to /var/log/x2gobroker/*log.
+#
+# This option can also be configured in /etc/default/python-x2go.
+# The value configured here overrides the value from python-x2go
+# defaults and only sets the x2gobroker-authservice into debug mode.
+#X2GOBROKER_DEBUG=0
diff --git a/x2gobroker-daemon.default b/x2gobroker-daemon.default
new file mode 100644
index 0000000..0eb0a81
--- /dev/null
+++ b/x2gobroker-daemon.default
@@ -0,0 +1,34 @@
+# X2Go Session Broker configuration for Debian
+
+# Uncomment to enable the X2Go Session Broker standalone daemon
+START_BROKER=true
+
+# Bind standalone daemon to this address:port
+#DAEMON_BIND_ADDRESS=127.0.0.1:8080
+
+# Control debug mode (0=disable, 1=enable).
+#
+# Apart from verbose logging in /var/log/x2gobroker/*.log, this will
+# also make the broker available through http GET method requests
+# (otherwise: POST method requests only) and you will be able to
+# test the broker through your web browser.
+#
+# This option can also be configured in /etc/default/python-x2go.
+# The value configured here overrides the value from python-x2go
+# defaults and only sets the x2gobroker-daemon into debug mode.
+#X2GOBROKER_DEBUG=0
+
+##########################################################
+###                                                    ###
+### Enable SSL Support                                 ###
+###   o You have to create your own SSL certificates   ###
+###   o You have to actively uncomment the below SSL   ###
+###     relevant line to enable https:// in x2gobroker ###
+###                                                    ###
+##########################################################
+
+# SSL certificate file
+#X2GOBROKER_SSL_CERTFILE=/etc/x2go/broker/ssl/broker.crt
+
+# SSL key file (ensure permissions are set to root:x2gobroker:0640)
+#X2GOBROKER_SSL_KEYFILE=/etc/x2go/broker/ssl/broker.key
-- 
1.8.2


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#211; Package x2gobroker. (Wed, 15 May 2013 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 15 May 2013 23:18:02 GMT) Full text and rfc822 format available.

Message #15 received at 211@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: 211@bugs.x2go.org
Cc: mike.gabriel@das-netzwerkteam.de, jengelh@inai.de
Subject: Re: 211/x2go installation
Date: Thu, 16 May 2013 00:57:28 +0200
This is all I currently want, as of tonight. The init scripts I do not
care so much where they live, provided they are in the tar somewhere.

----
The following changes since commit a62fa864d38a7bad4938905782049d5d6af8d9bc:

  Populate install target of Makefile. (Fixes: #201). (2013-05-15 10:15:23 +0200)

are available in the git repository at:

  git://git.inai.de/x2gobroker master

for you to fetch changes up to 9a445ed1e0b9e1873079c2adb5c1d9865361969b:

  build: also install defaults and manpages through `make install` (2013-05-15 22:49:36 +0200)

----------------------------------------------------------------
Jan Engelhardt (1):
      build: also install defaults and manpages through `make install`

 Makefile                                           | 26 +++++++++++++++++-----
 ...x2gobroker.default => python-x2gobroker.default |  0
 ...rvice.default => x2gobroker-authservice.default |  0
 ...ker-daemon.default => x2gobroker-daemon.default |  0
 4 files changed, 21 insertions(+), 5 deletions(-)
 rename debian/python-x2gobroker.default => python-x2gobroker.default (100%)
 rename debian/x2gobroker-authservice.default => x2gobroker-authservice.default (100%)
 rename debian/x2gobroker-daemon.default => x2gobroker-daemon.default (100%)


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#211; Package x2gobroker. (Sun, 19 May 2013 09:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 19 May 2013 09:48:01 GMT) Full text and rfc822 format available.

Message #20 received at 211@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 211-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 211@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Sun, 19 May 2013 11:41:30 +0200 (CEST)
tag #211 pending
fixed #211 0.0.2.1
thanks

Hello,

X2Go issue #211 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=6a86e5a

The issue will most likely be fixed in src:x2gobroker (0.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 6a86e5a9784fdb3f5bfdb6e812a8895c29ef6c5d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sun May 19 11:41:11 2013 +0200

    Install man pages and default files through Makefile, as well. (Fixes: #211).

diff --git a/debian/changelog b/debian/changelog
index fb9787e..448093d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -16,6 +16,8 @@ x2gobroker (0.0.2.1-0~x2go1) UNRELEASED; urgency=low
   [ Jan Engelhardt ]
   * New upstream version (0.0.2.1):
     - Populate install target of Makefile. (Fixes: #201).
+    - Install man pages and default files through Makefile, as well. (Fixes:
+      #211).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 01 May 2013 21:07:41 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 19 May 2013 09:48:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 19 May 2013 09:48:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#211. (Sun, 19 May 2013 09:48:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#211; Package x2gobroker. (Sun, 19 May 2013 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 19 May 2013 10:48:03 GMT) Full text and rfc822 format available.

Message #32 received at 211@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 211-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 211@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as closed
Date: Sun, 19 May 2013 12:43:45 +0200 (CEST)
close #211
thanks

Hello,

we are very hopeful that X2Go issue #211 reported by you
has been resolved in the new release (0.0.2.1) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.2.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=e7ba5f8e1a81d814f4d3e9f82ad6e9bc2855e7cd;hp=363a8fb21e215d403ef81c9bfc0d079d431bacce

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.2.1
Status: RELEASE
Date: Sun, 19 May 2013 12:41:06 +0200
Fixes: 201 210 211
Changes: 
 x2gobroker (0.0.2.1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (0.0.2.1):
     - Remove trailing slashes from ManagementServer URLs.
     - In Apache2 vhost configuration example, move WSGI environment
       variable settings into VirtualHost setup.
     - Remove unused, not-yet-developed broker backends and frontends.
     - Remove old cruft from x2gobroker.conf.
     - Security fix for setuid wrapper x2gobroker-agent.c. Hard-code path to
       x2gobroker-agent.pl during build via defining a macro in the Makefile.
       Thanks to Richard Weinberger for spotting this!!!
     - Handle URLs in plain WebUI that have slashes (and subpaths) in the
       backend name.
     - In WSGI mode: only populate os.environ with variables matching
       »X2GOBROKER_*«.
     - Make X2GOBROKER_SESSIONPROFILES configurable via a SetEnv WSGI parameter
       in the httpd configuration possible. (Fixes: #210).
   * Provide init scripts and *.default files outside of /debian folder (as
     they are also relevant for non-Debian packaging).
 .
   [ Jan Engelhardt ]
   * New upstream version (0.0.2.1):
     - Populate install target of Makefile. (Fixes: #201).
     - Install man pages and default files through Makefile, as well. (Fixes:
       #211).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 19 May 2013 10:48:05 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sun, 19 May 2013 10:48:05 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#211. (Sun, 19 May 2013 10:48:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 17 Jun 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Apr 19 05:15:05 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.